Skip to main content

Set a group channel member profile

Update the nickname or extra information for a member in a group channel.

Request

POST: https://Base URL/v4/group-channel/member/set

Rate limit: 100 per second

Signature: Required. See API request signature.

Request body

Content type: application/json

ParameterTypeRequiredDescription
channelIdStringYesGroup channel ID.
userIdStringYesUser ID of the group member.
nicknameStringNoGroup nickname. Maximum: 64 characters.
extraStringNoAdditional member information. Maximum: 128 characters.

Request example

HTTP
POST /v4/group-channel/member/set HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/json

{
"channelId": "groupId1",
"userId": "u01",
"nickname": "nickname1",
"extra": "xxxx"
}

Response

FieldTypeDescription
codeNumberReturn code. 0 indicates success. See Status codes.

Response example

HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 0
}